aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Weil <sw@weilnetz.de>2013-12-18 22:30:26 +0100
committerMichael Tokarev <mjt@tls.msk.ru>2014-01-01 18:03:55 +0400
commitf6f0b7d90fe0c481d33165334b4a595fa514c202 (patch)
tree5176b10993e425e32f0dfdb5acdbe4fb4e618fb6
parent08fb77ed391dcbb35ba98fd98d81635a9f6aeb12 (diff)
downloadqemu-arm-f6f0b7d90fe0c481d33165334b4a595fa514c202.tar.gz
configure: Python tests must be done before help message
The help message uses $python and displays its value, so that macro should be tested and set early. With this modification, configure --help displays the correct value (usually python -B) and no longer creates several *.pyc files. Signed-off-by: Stefan Weil <sw@weilnetz.de> Signed-off-by: Michael Tokarev <mjt@tls.msk.ru>
-rwxr-xr-xconfigure38
1 files changed, 19 insertions, 19 deletions
diff --git a/configure b/configure
index 552d865c50..57fe31ecd3 100755
--- a/configure
+++ b/configure
@@ -1004,6 +1004,25 @@ for opt do
esac
done
+if ! has $python; then
+ error_exit "Python not found. Use --python=/path/to/python"
+fi
+
+# Note that if the Python conditional here evaluates True we will exit
+# with status 1 which is a shell 'false' value.
+if ! $python -c 'import sys; sys.exit(sys.version_info < (2,4) or sys.version_info >= (3,))'; then
+ error_exit "Cannot use '$python', Python 2.4 or later is required." \
+ "Note that Python 3 or later is not yet supported." \
+ "Use --python=/path/to/python to specify a supported Python."
+fi
+
+# The -B switch was added in Python 2.6.
+# If it is supplied, compiled files are not written.
+# Use it for Python versions which support it.
+if $python -B -c 'import sys; sys.exit(0)' 2>/dev/null; then
+ python="$python -B"
+fi
+
case "$cpu" in
ppc)
CPU_CFLAGS="-m32"
@@ -1419,25 +1438,6 @@ if test "$solaris" = "yes" ; then
fi
fi
-if ! has $python; then
- error_exit "Python not found. Use --python=/path/to/python"
-fi
-
-# Note that if the Python conditional here evaluates True we will exit
-# with status 1 which is a shell 'false' value.
-if ! $python -c 'import sys; sys.exit(sys.version_info < (2,4) or sys.version_info >= (3,))'; then
- error_exit "Cannot use '$python', Python 2.4 or later is required." \
- "Note that Python 3 or later is not yet supported." \
- "Use --python=/path/to/python to specify a supported Python."
-fi
-
-# The -B switch was added in Python 2.6.
-# If it is supplied, compiled files are not written.
-# Use it for Python versions which support it.
-if $python -B -c 'import sys; sys.exit(0)' 2>/dev/null; then
- python="$python -B"
-fi
-
if test -z "${target_list+xxx}" ; then
target_list="$default_target_list"
else